<template>
	<v-app>
		<v-app-bar app color="cyan" dark>
			<v-toolbar-title class="ml-0 pl-4" style="width: 300px">
				<span class="">Лабораторная 4</span>
			</v-toolbar-title>
			<v-spacer/>
			<v-card-text>
				<span class="hidden-sm-and-down">Киселев Артем</span>
				<span class="hidden-sm-and-down">P3214</span> <br>
				<span class="hidden-sm-and-down">Вариант 47772</span>
			</v-card-text>
			<v-spacer/>
			<v-menu v-if="profile">
				<template v-slot:activator="{ on }">
					<v-btn icon v-on="on">
						<v-avatar color="indigo" item>
							<v-icon>fa-user</v-icon>
						</v-avatar>
					</v-btn>
				</template>
				<v-list>
					<v-list-item>{{ getNickName }}</v-list-item>
					<v-list-item @click="logout">Logout</v-list-item>
				</v-list>
			</v-menu>
			<v-spacer/>
		</v-app-bar>

		<router-view/>

		<v-footer app color="cyan">
			<span class="white--text">Киселев Артем</span>
			<v-spacer/>
			<span class="white--text">ИТМО P3214 &copy; 2019</span>
		</v-footer>

	</v-app>
</template>

<script>
    import {mapActions, mapGetters, mapState} from "vuex";

    export default {
        name: "App",
        components: {},
        computed: {
            ...mapState(['profile']),
            ...mapGetters(['getShortNickName', "getNickName",])
        },
        data() {
            return {}
        },
        methods: {
            ...mapActions(['loadQueueNamesAction', "logoutUserAction"]),
            logout() {
                this.logoutUserAction();
            }
        },
        beforeMount() {
            if (!this.profile) {
                this.$router.replace('/login')
            }
        }
    }
</script>

<style scoped>

</style>